Saltar al contenido principal
GET
/
cms
/
v3
/
pages
/
landing-pages
Obtener todas las landing pages
curl --request GET \
  --url https://api.hubapi.com/cms/v3/pages/landing-pages \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "abStatus": "automated_loser_variant",
      "abTestId": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "archivedInDashboard": true,
      "attachedStylesheets": [
        {}
      ],
      "authorName": "<string>",
      "campaign": "<string>",
      "categoryId": 123,
      "contentGroupId": "<string>",
      "contentTypeCategory": "0",
      "created": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "currentState": "AGENT_GENERATED",
      "currentlyPublished": true,
      "domain": "<string>",
      "dynamicPageDataSourceId": "<string>",
      "dynamicPageDataSourceType": 123,
      "dynamicPageHubDbTableId": "<string>",
      "enableDomainStylesheets": true,
      "enableLayoutStylesheets": true,
      "featuredImage": "<string>",
      "featuredImageAltText": "<string>",
      "folderId": "<string>",
      "footerHtml": "<string>",
      "headHtml": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "includeDefaultCustomCss": true,
      "language": "aa",
      "layoutSections": {},
      "linkRelCanonicalUrl": "<string>",
      "mabExperimentId": "<string>",
      "metaDescription": "<string>",
      "name": "<string>",
      "pageExpiryDate": 123,
      "pageExpiryEnabled": true,
      "pageExpiryRedirectId": 123,
      "pageExpiryRedirectUrl": "<string>",
      "pageRedirected": true,
      "password": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publishDate": "2023-11-07T05:31:56Z",
      "publishImmediately": true,
      "slug": "<string>",
      "state": "<string>",
      "subcategory": "<string>",
      "templatePath": "<string>",
      "themeSettingsValues": {},
      "translatedFromId": "<string>",
      "translations": {},
      "updated": "2023-11-07T05:31:56Z",
      "updatedById": "<string>",
      "url": "<string>",
      "useFeaturedImage": true,
      "widgetContainers": {},
      "widgets": {}
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Productos compatibles

Se requiere uno de los siguientes productos o productos de ediciones superiores.
Marketing HubMarketing Hub -Gratuito
Sales HubSales Hub -Gratuito
Service HubService Hub -Gratuito
Content HubContent Hub -Gratuito

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de consulta

after
string

El token del cursor de paginación del último recurso leído con éxito se devolverá como la propiedad JSON paging.next.after de una respuesta paginada que contenga más resultados.

archived
boolean

Si se devolverán solo los resultados que se han archivado.

createdAfter
string<date-time>
createdAt
string<date-time>
createdBefore
string<date-time>
limit
integer<int32>

El número máximo de resultados que se mostrarán por página.

property
string
sort
string[]
updatedAfter
string<date-time>
updatedAt
string<date-time>
updatedBefore
string<date-time>

Respuesta

successful operation

Response object for collections of pages with pagination information.

results
object[]
requerido

Colección de páginas.

total
integer<int32>
requerido

Número total de páginas.

paging
object

Model definition for forward paging.

Last modified on March 30, 2026